function buttonselectplaRAY(hObject, eventdata, parentfig, Empty_Button, AxesAFS, AxesPLA, AxesSOL, lcs, roton, roton2, rotoff)
data = get(Empty_Button,'UserData');

AFSview = get(AxesAFS,'view');

set(roton,'Value',0);
set(roton2,'Value',0);
set(rotoff,'Value',1);
rotate3d(AxesAFS,'off')

[data.plane.act.points, data.plane.d2.points, data.plane.d2.pointsINN, data.plane.d2.pointsOUT] = computePlaneRAY(data);

data.isplane = 1;
set(Empty_Button,'UserData',data);

plotafsRAY(parentfig, data, AxesAFS, AxesSOL, AxesPLA, lcs);

set(AxesAFS, 'view', AFSview);

